/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
* other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
* EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
* SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS
* SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
* this software. By using this software, you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2017 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/
/***********************************************************************************************************************
* File Name    : r_mtr_config.h
* Description  : Compile-time configurations
***********************************************************************************************************************/
/**********************************************************************************************************************
* History : DD.MM.YYYY Version
*         : 05.04.2017 1.00
*         : 07.07.2017 1.01
***********************************************************************************************************************/

/* Guard against multiple inclusion */
#ifndef R_MTR_CONFIG_H
#define R_MTR_CONFIG_H

/***********************************************************************************************************************
* Macro definitions
***********************************************************************************************************************/
/*
 * Hardware system configurations
 */
#define RX23T_MRSSK     /* CPU board : RX23T MRSSK */
#define IP_MRSSK        /* Inverter: MRSSK */
#define MP_FH6S20EX81   /* Default motor parameters: Nidec Servo */
#define CP_FH6S20EX81   /* Control parameters: Nidec Servo */

/**
 * Application Layer Configurations
 */
/* Defines the UI used as default UI (BOARD_UI/ICS_UI)*/
#define  CONFIG_DEFAULT_UI  (ICS_UI)

/*
 * Define the macro as 1 to enable the utility
 * as 0 to disable the utility
 */

/* Defines whether use voltage error compensation in FOC */
#define USE_VOLT_ERR_COMP   (1)

/* Select angle adjust mode
* - MTR_ANGLE_ADJ_EXCIT(default)
* - MTR_ANGLE_ADJ_HALL
*/
#define ANGLE_ADJUST_MODE           (MTR_ANGLE_ADJ_EXCIT)

/* Select position control mode
* - MTR_CTRL_PID
* - MTR_CTRL_IPD(default)
*/
#define POS_CTRL_MODE               (MTR_CTRL_IPD)

/* Select control loop mode
* - MTR_LOOP_SPEED
* - MTR_LOOP_POSITION(default)
*/
#define LOOP_MODE                   (MTR_LOOP_POSITION)

/* Select control gain mode
* - MTR_GAIN_DESIGN_MODE(default)
* - MTR_GAIN_DIRECT_MODE
*/
#define GAIN_MODE                   (MTR_GAIN_DESIGN_MODE)

/* Select modulation method
* - MOD_METHOD_SPWM
* - MOD_METHOD_SVPWM(default)
*/
#define  MOD_METHOD                 (MOD_METHOD_SVPWM)

#endif /* R_MTR_CONFIG_H */
