/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
* other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
* EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
* SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS
* SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
* this software. By using this software, you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2017 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/
/***********************************************************************************************************************
* File Name   : main.h
* Description : Definitions for the application layer
***********************************************************************************************************************/
/**********************************************************************************************************************
* History : DD.MM.YYYY Version
*         : 05.04.2017 1.00
*         : 07.07.2017 1.01
***********************************************************************************************************************/

/* Guard against multiple inclusion */
#ifndef MAIN_H
#define MAIN_H

/***********************************************************************************************************************
* Includes <System Includes> , "Project Includes"
***********************************************************************************************************************/
#include "r_mtr_ctrl_mcu.h"

/***********************************************************************************************************************
* Macro definitions
***********************************************************************************************************************/
/* Select UI */
#define ICS_UI                   (0)                          /* ICS (Analyzer) */
#define BOARD_UI                 (1)                          /* Board */

/* board UI definitions */
#define VR1_POSITION_DEAD_BAND   (2)                         /* position dead-band [rad] */
#define VR1_SPEED_DEAD_BAND      (80)                        /* speed dead-band [rad/s] */
#define VR1_SPEED_MARGIN         (50)                        /* speed margin [rad/s] */

#define VR1_SCALING_POS          ((180 + 1 ) / (MTR_AD12BIT_DATA/2 + 1))
                                                             /* scaling factor for position reference (A/D) */
                                                             /* (max position(180degree) + margin) / (A/D(12bit)/2+1) */
#define VR1_SCALING_SPEED        ((MTR_MAX_SPEED_RPM + VR1_SPEED_MARGIN) / (MTR_AD12BIT_DATA/2 + 1))
                                                             /* scaling factor for speed reference (A/D) */
                                                             /* (MAX_SPEED + margin) / (A/D(12bit)/2+1) */
#define ADJUST_OFFSET            (0x7FF)                     /* Adjusting offset for reference */

/***********************************************************************************************************************
* global functions
***********************************************************************************************************************/

/***********************************************************************************************************************
* Function Name : main
* Description   : Initialization and main routine
* Arguments     : None
* Return Value  : None
***********************************************************************************************************************/
void main(void);

#endif /* MAIN_H */
